/usr/lib/hpux32/dld.so: Unable to find library 'libgobject-2.0.so' - HP UX

This is a discussion on /usr/lib/hpux32/dld.so: Unable to find library 'libgobject-2.0.so' - HP UX ; $ /usr/local/bin/vim -g x /usr/lib/hpux32/dld.so: Unable to find library 'libgobject-2.0.so'. $ uname -a HP-UX hp1 B.11.31 U ia64 Where can I find libgobject-2.0.so? http://hpux.connect.org.uk do not have the file....

+ Reply to Thread
Results 1 to 5 of 5

Thread: /usr/lib/hpux32/dld.so: Unable to find library 'libgobject-2.0.so'

  1. /usr/lib/hpux32/dld.so: Unable to find library 'libgobject-2.0.so'

    $ /usr/local/bin/vim -g x
    /usr/lib/hpux32/dld.so: Unable to find library 'libgobject-2.0.so'.

    $ uname -a
    HP-UX hp1 B.11.31 U ia64

    Where can I find libgobject-2.0.so?
    http://hpux.connect.org.uk do not have the file.



  2. Re: /usr/lib/hpux32/dld.so: Unable to find library 'libgobject-2.0.so'

    TsanChung writes:

    > $ /usr/local/bin/vim -g x
    > /usr/lib/hpux32/dld.so: Unable to find library 'libgobject-2.0.so'.
    >
    > $ uname -a
    > HP-UX hp1 B.11.31 U ia64
    >
    > Where can I find libgobject-2.0.so?
    > http://hpux.connect.org.uk do not have the file.


    Did you get your vim from http://hpux.connect.org.uk?

    If so, did you install all the packages listed as "Run-time
    dependencies" of the vim package? You should have done that.

    Here's the list of run-time dependencies of vim-7.2 from
    the http://hpux.connect.org.uk/hppd/hpux/Editors/vim-7.2/ page:

    atk gettext libiconv glib2 cairo expat fontconfig freetype zlib
    libXrender libpng pixman gtk+2 jpeg libXft pango tiff ncurses

    "libgobject-2.0.so" is a part of glib2 package.

    If you install only the glib2 package, you'll find that you will get
    another error message referring to a file in some other dependency
    package. If you then install that, you will get yet another error
    message... and so on, until you have installed all the
    run-time dependencies.

    --
    Matti.Kurkela@welho.com

  3. Re: /usr/lib/hpux32/dld.so: Unable to find library'libgobject-2.0.so'

    On Sep 16, 1:27*am, Matti Juhani Kurkela
    wrote:
    > TsanChung writes:
    > > $ /usr/local/bin/vim -g x
    > > /usr/lib/hpux32/dld.so: Unable to find library 'libgobject-2.0.so'.

    >
    > > $ uname -a
    > > HP-UX hp1 B.11.31 U ia64

    >
    > > Where can I find libgobject-2.0.so?
    > >http://hpux.connect.org.ukdo not have the file.

    >
    > Did you get your vim fromhttp://hpux.connect.org.uk?
    >
    > If so, did you install all the packages listed as "Run-time
    > dependencies" of the vim package? You should have done that.
    >
    > Here's the list of run-time dependencies of vim-7.2 from
    > thehttp://hpux.connect.org.uk/hppd/hpux/Editors/vim-7.2/page:
    >
    > atk gettext libiconv glib2 cairo expat fontconfig freetype zlib
    > libXrender libpng pixman gtk+2 jpeg libXft pango tiff ncurses
    >
    > "libgobject-2.0.so" is a part of glib2 package.
    >
    > If you install only the glib2 package, you'll find that you will get
    > another error message referring to a file in some other dependency
    > package. If you then install that, you will get yet another error
    > message... and so on, until you have installed all the
    > run-time dependencies.
    >
    > --
    > Matti.Kurk...@welho.com


    This process make the sys admin to resolve all the
    run-time dependencies (similar to the linux "rpm" command).
    Is there a command which will resolve all the
    run-time dependencies (similar to the linux "yum" command)?

  4. Re: /usr/lib/hpux32/dld.so: Unable to find library ?'libgobject-2.0.so'

    TsanChung wrote:
    > This process make the sys admin to resolve all the
    > run-time dependencies (similar to the linux "rpm" command).
    > Is there a command which will resolve all the
    > run-time dependencies (similar to the linux "yum" command)?


    Not with the packages from the porting archives.

    I don't know if there is a vim in the HP Internet Express bits, but
    you might check there too. It may bring along the dependencies
    automagically.

    rick jones
    --
    denial, anger, bargaining, depression, acceptance, rebirth...
    where do you want to be today?
    these opinions are mine, all mine; HP might not want them anyway...
    feel free to post, OR email to rick.jones2 in hp.com but NOT BOTH...

  5. Re: /usr/lib/hpux32/dld.so: Unable to find library?'libgobject-2.0.so'

    On Sep 16, 2:01*pm, Rick Jones wrote:
    > TsanChung wrote:
    > > This process make the sys admin to resolve all the
    > > run-time dependencies (similar to the linux "rpm" command).
    > > Is there a command which will resolve all the
    > > run-time dependencies (similar to the linux "yum" command)?

    >
    > Not with the packages from the porting archives.
    >
    > I don't know if there is a vim in the HP Internet Express bits, but
    > you might check there too. *It may bring along the dependencies
    > automagically.
    >
    > rick jones
    > --
    > denial, anger, bargaining, depression, acceptance, rebirth...
    > * * * * * * * * * * * * * * * * * * *where do you want to be today?
    > these opinions are mine, all mine; HP might not want them anyway...
    > feel free to post, OR email to rick.jones2 in hp.com *but NOT BOTH...


    I do not find vim at HP Internet Express http://h20392.www2.hp.com/portal/swdepot/index.do.

+ Reply to Thread